#if defined _admingroups_included_
  #endinput
#endif
#define _admingroups_included_

/**
 * Create a admin group.
 *
 * @param group         Name of the group to create.
 */
native void AdminGroups_CreateAdminGroup(const char[] group);

/**
 * Delete a admin group.
 *
 * @param group         Name of the group to delete.
 */
native void AdminGroups_DeleteAdminGroup(const char[] group);

/**
 * Grant a admin group.
 *
 * @param client        Client to grant to.
 * @param group         Name of the group to grant.
 */
native void AdminGroups_GrantAdminGroup(int client, const char[] group);

/**
 * Revoke a admin group.
 *
 * @param client        Client to revoke from.
 * @param group         Name of the group to revoke.
 */
native void AdminGroups_RevokeAdminGroup(int client, const char[] group);
